CurveAnalysisDisplay Class

class NXOpen.GeometricAnalysis.CurveAnalysisDisplay

Bases: object

Represents a tool to control whether to show a curve’s poles,knots,combs,peaks and inflections

To obtain an instance of this class, refer to NXOpen.GeometricAnalysis.AnalysisObjectCollection

New in version NX6.0.0.

Methods

Method Description
GetAnalysisRecord Gets analysis record
GetShowEndPoints Gets a flag representing end points display state of a curve
GetShowKnot Gets a flag representing knots display state of a b-spline curve
GetShowPole Gets a flag representing poles display state of a b-spline curve
NewRecord Creats a curve analysis record
SetAnalysisRecord Sets analysis record
SetShowEndPoints Sets a flag representing end points display state of a curve
SetShowFlag Sets show flags
SetShowKnot Sets a flag representing knots display state of a b-spline curve
SetShowPole Sets a flag representing poles display state of a b-spline curve

Enumerations

CurveAnalysisDisplayShowFlagType Enumeration Show flag types

Method Detail

GetAnalysisRecord

CurveAnalysisDisplay.GetAnalysisRecord

Gets analysis record

Signature GetAnalysisRecord(curve)

Parameters:curve (NXOpen.Curve) – curve
Returns:curve analysis record
Return type:NXOpen.GeometricAnalysis.CurveAnalysisRecord

New in version NX6.0.0.

Deprecated since version NX8.5.0: Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetShowEndPoints

CurveAnalysisDisplay.GetShowEndPoints

Gets a flag representing end points display state of a curve

Signature GetShowEndPoints(curve)

Parameters:curve (NXOpen.Curve) – curve
Returns:
Return type:bool

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetShowKnot

CurveAnalysisDisplay.GetShowKnot

Gets a flag representing knots display state of a b-spline curve

Signature GetShowKnot(curve)

Parameters:curve (NXOpen.Curve) – curve
Returns:
Return type:bool

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetShowPole

CurveAnalysisDisplay.GetShowPole

Gets a flag representing poles display state of a b-spline curve

Signature GetShowPole(curve)

Parameters:curve (NXOpen.Curve) – curve
Returns:
Return type:bool

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

NewRecord

CurveAnalysisDisplay.NewRecord

Creats a curve analysis record

Signature NewRecord()

Returns:
Return type:NXOpen.GeometricAnalysis.CurveAnalysisRecord

New in version NX6.0.0.

Deprecated since version NX8.5.0: Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetAnalysisRecord

CurveAnalysisDisplay.SetAnalysisRecord

Sets analysis record

Signature SetAnalysisRecord(curve, record)

Parameters:

New in version NX6.0.0.

Deprecated since version NX8.5.0: Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetShowEndPoints

CurveAnalysisDisplay.SetShowEndPoints

Sets a flag representing end points display state of a curve

Signature SetShowEndPoints(curve, show)

Parameters:

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetShowFlag

CurveAnalysisDisplay.SetShowFlag

Sets show flags

Signature SetShowFlag(curve, choice, on)

Parameters:

New in version NX6.0.0.

Deprecated since version NX8.5.0: Use NXOpen.GeometricAnalysis.CurveCurvatureAnalysis.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetShowKnot

CurveAnalysisDisplay.SetShowKnot

Sets a flag representing knots display state of a b-spline curve

Signature SetShowKnot(curve, show)

Parameters:

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetShowPole

CurveAnalysisDisplay.SetShowPole

Sets a flag representing poles display state of a b-spline curve

Signature SetShowPole(curve, show)

Parameters:

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)